AWS IoT Device SDK C++ v2: Aws::Iotshadow::ShadowDeltaUpdatedEvent Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::ShadowDeltaUpdatedEvent Class Referencefinal

`#include <ShadowDeltaUpdatedEvent.h>`

## Public Member Functions
| ShadowDeltaUpdatedEvent ()=default
| ShadowDeltaUpdatedEvent (const Crt::JsonView &doc)
ShadowDeltaUpdatedEvent & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< int32_t > | Version
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp
Aws::Crt::Optional< Aws::Crt::JsonObject > | Metadata
Aws::Crt::Optional< Aws::Crt::JsonObject > | State

## Detailed Description

An event generated when a shadow document was updated by a request to AWS IoT. The event payload contains only the changes requested.

## Constructor & Destructor Documentation

## ◆ ShadowDeltaUpdatedEvent() [1/2]

Aws::Iotshadow::ShadowDeltaUpdatedEvent::ShadowDeltaUpdatedEvent | ( |  | ) |
| default

## ◆ ShadowDeltaUpdatedEvent() [2/2]

Aws::Iotshadow::ShadowDeltaUpdatedEvent::ShadowDeltaUpdatedEvent | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

ShadowDeltaUpdatedEvent & Aws::Iotshadow::ShadowDeltaUpdatedEvent::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::ShadowDeltaUpdatedEvent::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ Metadata

Aws::Crt::Optional<Aws::Crt::JsonObject> Aws::Iotshadow::ShadowDeltaUpdatedEvent::Metadata

Timestamps for the shadow properties that were updated.

## ◆ State

Aws::Crt::Optional<Aws::Crt::JsonObject> Aws::Iotshadow::ShadowDeltaUpdatedEvent::State

Shadow properties that were updated.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotshadow::ShadowDeltaUpdatedEvent::Timestamp

The time the event was generated by AWS IoT.

## ◆ Version

Aws::Crt::Optional<int32_t> Aws::Iotshadow::ShadowDeltaUpdatedEvent::Version

The current version of the document for the device's shadow.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/ShadowDeltaUpdatedEvent.h
- shadow/source/ShadowDeltaUpdatedEvent.cpp